unit ComboView;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, tasmovies;

type
  TfmPreview = class(TForm)
    cbCombos: TComboBox;
    bvTop: TBevel;
    lbPreview: TListBox;
    procedure FormShow(Sender: TObject);
    procedure cbCombosChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmPreview: TfmPreview;

implementation

uses MainUnit;

{$R *.dfm}

procedure TfmPreview.FormShow(Sender: TObject);
var a : integer;
begin
  cbCombos.Items.Clear;
  cbCombos.Enabled := fmMain.lbCombos.Items.Count > 0;
  for a := 0 to fmMain.lbCombos.Items.Count - 1 do
    cbCombos.Items.Add(fmMain.lbCombos.Items.Strings[a]);
  cbCombos.ItemIndex := fmMain.lbCombos.ItemIndex;
  lbPreview.Items.Clear;
  if cbCombos.ItemIndex = -1 then exit;
  for a := 0 to MainUnit.Combo[cbCombos.ItemIndex].length-1 do
  begin
    lbPreview.Items.Add(inttohex(MainUnit.Combo[cbCombos.ItemIndex].data[a],8)+': '+codetotext(mainunit.mov, MainUnit.Combo[cbCombos.ItemIndex].data[a]));
  end;
end;

procedure TfmPreview.cbCombosChange(Sender: TObject);
var a : integer;
begin
  lbPreview.Items.Clear;;
  if cbCombos.ItemIndex = -1 then exit;
  for a := 0 to MainUnit.Combo[cbCombos.ItemIndex].length-1 do
  begin
    lbPreview.Items.Add(inttohex(MainUnit.Combo[cbCombos.ItemIndex].data[a],8)+': '+codetotext(mainunit.mov, MainUnit.Combo[cbCombos.ItemIndex].data[a]));
  end;
end;

end.
