unit MainUnit;

interface

uses
  Sharemem, Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtCtrls, ImgList, ComCtrls, Grids, tasmovies,
  ValEdit, convertor;

type
  TfmMain = class(TForm)
    pcMain: TPageControl;
    tsEditing: TTabSheet;
    tsConvert: TTabSheet;
    tsConfig: TTabSheet;
    pnEdit: TPanel;
    lbCombos: TListBox;
    btAddCombo: TButton;
    btInsertCombo: TButton;
    mmConvert: TMainMenu;
    mmEditing: TMainMenu;
    Movie1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    Saveas1: TMenuItem;
    N1: TMenuItem;
    Reload1: TMenuItem;
    Backupoldfile1: TMenuItem;
    sgEdit: TStringGrid;
    Combos1: TMenuItem;
    Add1: TMenuItem;
    Delete1: TMenuItem;
    insert1: TMenuItem;
    N2: TMenuItem;
    savelist1: TMenuItem;
    Openlist1: TMenuItem;
    Addfromfile1: TMenuItem;
    mmMain: TMainMenu;
    Conversion1: TMenuItem;
    Plugin1: TMenuItem;
    Batchconversion1: TMenuItem;
    Inputplugininfo1: TMenuItem;
    Outputplugininfo1: TMenuItem;
    N4: TMenuItem;
    btMoveUp: TButton;
    btMoveDown: TButton;
    ebStep: TEdit;
    gbPlugins: TGroupBox;
    lbPlugins: TListBox;
    btRefresh: TButton;
    udStep: TUpDown;
    rgCon: TRadioGroup;
    edFrom: TEdit;
    edTo: TEdit;
    lbto: TLabel;
    N3: TMenuItem;
    Quit1: TMenuItem;
    Movie2: TMenuItem;
    estrun1: TMenuItem;
    Cleanup1: TMenuItem;
    Tablememory1: TMenuItem;
    memoryTable1: TMenuItem;
    N5: TMenuItem;
    Editheader1: TMenuItem;
    Format1: TMenuItem;
    N6: TMenuItem;
    btDel: TButton;
    Edit1: TMenuItem;
    Insertlines1: TMenuItem;
    Removlines1: TMenuItem;
    btAdd: TButton;
    odEdit: TOpenDialog;
    sdEdit: TSaveDialog;
    N7: TMenuItem;
    Moveup1: TMenuItem;
    Movedown1: TMenuItem;
    Label1: TLabel;
    Fragmentsmanager1: TMenuItem;
    frConvert: TfrConvert;
    N8: TMenuItem;
    Saveconversionsettings1: TMenuItem;
    LoadConversionsettings1: TMenuItem;
    pmCombos: TPopupMenu;
    pmFake: TPopupMenu;
    miPlug: TMenuItem;
    Delete2: TMenuItem;
    View1: TMenuItem;
    odCombo: TOpenDialog;
    sdCombo: TSaveDialog;
    procedure tsEditingShow(Sender: TObject);
    procedure tsConvertShow(Sender: TObject);
    procedure tsConfigShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btRefreshClick(Sender: TObject);
    procedure ebStepChange(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure rgConClick(Sender: TObject);
    procedure sgEditKeyPress(Sender: TObject; var Key: Char);
    procedure sgEditSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure sgEditMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure btAddComboClick(Sender: TObject);
    procedure sgEditKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure edFromChange(Sender: TObject);
    procedure edToChange(Sender: TObject);
    procedure btInsertComboClick(Sender: TObject);
    procedure memoryTable1Click(Sender: TObject);
    procedure btDelClick(Sender: TObject);
    procedure Add1Click(Sender: TObject);
    procedure insert1Click(Sender: TObject);
    procedure Removlines1Click(Sender: TObject);
    procedure btAddClick(Sender: TObject);
    procedure Quit1Click(Sender: TObject);
    procedure Insertlines1Click(Sender: TObject);
    procedure sgEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Saveas1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure Reload1Click(Sender: TObject);
    procedure Backupoldfile1Click(Sender: TObject);
    procedure Cleanup1Click(Sender: TObject);
    procedure Tablememory1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure New1Click(Sender: TObject);
    procedure sbPosChange(Sender: TObject);
    procedure sgEditTopLeftChanged(Sender: TObject);
    procedure miPlugClick(Sender: TObject);
    procedure Delete2Click(Sender: TObject);
    procedure View1Click(Sender: TObject);
    procedure savelist1Click(Sender: TObject);
    procedure Openlist1Click(Sender: TObject);
    procedure Addfromfile1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmMain: TfmMain;
  PluginCount : integer;
  Plugins : array of record
    ext: string;
    fn : string;
    desc : string;
    ph: THandle;
    //procedures
    loadmovie : Procedure(var data: TMovie; const fn: pchar; res:pchar);
    savemovie : Procedure(const data: TMovie; const fn: pchar; res:pchar);
    init : procedure(ext, desc : PChar);
    getcodes : procedure (S : PChar);
    checkheader : procedure (const fn : pchar; var res:boolean);
  end;
  mov : TMovie;
  ws : boolean;
  mr : boolean = true;
  udTo, udFrom : integer;
  Combos : integer=0;
  combo : array of record
    length : integer;
    data : array of longword;
  end;
  edited : boolean = false;
  getid : byte;

implementation

uses ComboView;

{$R *.dfm}

function getrealid : integer;
var a : integer;
begin
result := 0;
with fmMain.format1 do
begin
  for a := 0 to count - 1 do
  if items[a].Checked then result := a;
end;
end;

procedure convertmovie (var mov : TMovie; id1, id2 : integer);
begin
//todo
end;

procedure saveframe (var mov : TMovie; n : integer; plugID:integer);
var a,c : integer;
b : longword;
begin
with fmmain do begin
{  for a := sgEdit.ColCount-1 downto 1 do
  begin
    try
      strtoint(sgEdit.cells[a,n+1]);
    except
      on EConvertError do exit;
    end;
  end;}
  b := 0;
  for a := sgEdit.ColCount-1 downto 1 do
  begin
    with sgEdit do
    c := strtoint(copy(cells[a,0],3,pos(')',cells[a,0])-3));
    b := b shl c;
    b := b or (strtoint(sgEdit.cells[a,n+1]) and ((1 shl c) - 1));
  end;
  mov.controller[rgCon.ItemIndex].data[n] := b;
  edited := true;
end;
end;

Procedure refreshframe(const mov : TMovie; n : integer; plugID:integer);
var
  s : string;
  pc : PChar;
  a,b,x,y,z: integer;
//  c : char;
begin
with fmMain do
begin
  if n < sgEdit.TopRow-1 then exit;
  if n > sgEdit.TopRow+sgEdit.VisibleRowCount +1 then exit;
  a := getheader(mov,'controller codes');
  if a > -1 then
    s := mov.header[a].Sdata
  else begin
    getmem(pc,33);
    plugins[plugID].getcodes(pc); s:= pc;
    freemem(pc);
  end;

//  if sgEdit.RowCount <= n+1 then sgEdit.RowCount := n+2;
  b := 0;
  sgEdit.Cells[b,n+1] := inttostr(n);
  x := 1;
  z := 0;
  y := mov.controller[fmMain.rgCon.ItemIndex].data[n];
  s := s + #0;
  for a := 1 to length(s)-1 do
    if s[a] = s[a+1] then
      x := (x shl 1) or x
    else
    begin
      inc(b);
      sgEdit.cells[b,n+1] := inttostr(shortint((y and x) shr z));
      x := 1 shl (a);
      z := a;
    end;
end;
end;

Procedure refreshview(const mov : TMovie; plugID : integer);
var a,b : integer;
begin
  fmMain.sgEdit.rowcount := mov.frames + 2;
  b := fmMain.sgEdit.TopRow+fmMain.sgEdit.VisibleRowCount - mov.frames;
  b := (fmMain.sgEdit.TopRow+fmMain.sgEdit.VisibleRowCount + mov.frames + abs(b)) div 2;
//  b := fmMain.sgEdit.TopRow+fmMain.sgEdit.VisibleRowCount;
  for a := fmMain.sgEdit.TopRow-1 to b do refreshframe(mov,a,plugID);
end;

Procedure refreshmovie(const mov : TMovie; plugID : integer);
var
  pc : PChar;
  s : string;
  a,b,l : integer;
begin
//  a := (mov.frames-1);
  fmMain.sgEdit.FixedRows := 1;
  a := getheader(mov,'controller codes');
  if a > -1 then
    s := mov.header[a].Sdata
  else begin
    getmem(pc,33);
    plugins[plugID].getcodes(pc); s:= pc;
    freemem(pc);
  end;
  b := 1;
  if length(s) = 0 then exit;
  fmMain.sgEdit.ColCount := 2;
  fmMain.sgEdit.RowCount := 2+mov.frames;
  fmMain.sgEdit.Cells[0,0] := 'Frame';
  s := s + #0;
  l := 0;
  for a := 1 to length(s)-1 do
  begin
  inc(l);
  if s[a] <> s[a+1] then
  begin
    inc(b);
    fmMain.sgEdit.ColCount := b;
    fmMain.sgEdit.Cells[b-1,0] := s[a]+'('+inttostr(l)+')';
    l := 0;
  end;
  end;
  for a := 1 to b-1 do
  fmMain.sgEdit.ColWidths[a] := (fmMain.sgEdit.Width - 30 - fmMain.sgEdit.ColWidths[0]) div b;
  refreshview(mov,plugID);
end;

Procedure getpluginlist;
var
  f : TSearchRec;
  fnd : integer;
  ext, desc : PChar;
  mp : TMenuItem;
begin
fmMain.lbPlugins.Items.Clear;
fmMain.Format1.Clear;
plugincount := 0;
setlength(plugins,plugincount);
fmMain.odEdit.filter := '* - Autodetect|*.*';
fmMain.sdEdit.filter := '';
fnd := findfirst('plugins\*.dll',faAnyFile,f);
while fnd = 0 do
begin
  try
    inc(plugincount);
    setlength(plugins,plugincount);
    plugins[plugincount-1].ph := LoadLibrary(pchar('plugins\'+f.Name));
    @plugins[plugincount-1].init := GetProcAddress(plugins[plugincount-1].ph,'GetInfo');
    if Longint(@plugins[plugincount-1].init) <> 0 then
    begin
      try
        getmem(ext,10); getmem(desc,128);
        plugins[plugincount-1].init(ext, desc);
        plugins[plugincount-1].ext := ext;
        plugins[plugincount-1].fn := F.name;
        plugins[plugincount-1].desc := desc;
//        @plugins[plugincount-1]. := GetProcAddress(plugins[plugincount-1].ph,'');
        @plugins[plugincount-1].CheckHeader := GetProcAddress(plugins[plugincount-1].ph,'CheckHeader');
        @plugins[plugincount-1].LoadMovie := GetProcAddress(plugins[plugincount-1].ph,'LoadMovie');
        @plugins[plugincount-1].SaveMovie := GetProcAddress(plugins[plugincount-1].ph,'SaveMovie');
        @plugins[plugincount-1].GetCodes := GetProcAddress(plugins[plugincount-1].ph,'GetCodes');
        freemem(ext); freemem(desc);
        fmMain.lbPlugins.Items.Add(f.name+' - ('+plugins[plugincount-1].ext+') ' + plugins[plugincount-1].desc);
        mp:= TMenuItem.Create(fmMain.Format1);
        if plugincount = 1 then mp.Checked := true;
        mp.RadioItem := true;
        mp.Caption := plugins[plugincount-1].ext + ' (' + f.name + ')';
        mp.GroupIndex := 1;
        mp.Tag := plugincount - 1;
        mp.AutoCheck := true;
        mp.OnClick := fmMain.miPlug.Onclick;
        fmMain.Format1.Add(mp);
        fmMain.odEdit.filter := fmMain.odEdit.filter + '|' + plugins[plugincount-1].ext + ' - ' + plugins[plugincount-1].desc + '|' + '*.' + plugins[plugincount-1].ext;
        fmMain.sdEdit.filter := fmMain.sdEdit.filter + '|' + plugins[plugincount-1].ext + ' - ' + plugins[plugincount-1].desc + '|' + '*.' + plugins[plugincount-1].ext;
      except
        raise Exception.Create('  ' + f.Name);
        dec(plugincount);
        setlength(plugins,plugincount);
      end;
    end;
  except
    raise Exception.Create(' ' + f.Name);
    dec(plugincount);
    setlength(plugins,plugincount);
  end;
  getid := 0;
  fnd := findnext(f);
end;
fmMain.sdEdit.filter := copy(fmMain.sdEdit.filter,2,length(fmMain.sdEdit.filter));
end;

procedure newmovie (var mov : TMovie);
begin
mov.headers := 0;
mov.frames := 0;
mov.datastart := 0;
mov.controllers := 1;
mov.fragments := 0;
getmem(mov.filename,1);
strcopy(mov.filename,#0);
mov.error := 0;
setlength(mov.header,0);
setlength(mov.controller,1);
setlength(mov.controller[0].data,2);
setlength(mov.fragment,0);
mov.controller[0].data[0] := 0;
refreshmovie(mov,getid);
end;

procedure openmovie (var mov : TMovie;plugID : integer; fn : string);
begin
  plugins[plugID].loadmovie(mov,pchar(fn),'');
end;

procedure savemovie (const mov : TMovie;plugID : integer; fn : string);
begin
  plugins[plugID].savemovie(mov,pchar(fn),'');
end;

procedure opencombolist (x : integer);
var a,b,n : integer;
d : longword;
s,gc : string;
begin
with fmMain do begin
if odCombo.Execute then
begin
  gc := '0123456789abcdefghijklmonpqrstuv';
  assignfile(input,odCombo.FileName);
  //combo count
  reset(input);
  n := 0;
  while not eof do
  begin
    readln(s);
    if copy(s,1,1) = ':' then inc(n);
  end;
  closefile(input);
  if n = 0 then exit;
  combos := x + n;
  setlength(combo,combos);
  //combo lengths
  reset(input);
  n := 0; a := x;
  repeat readln(s) until copy(s,1,1) = ':';
  while not eof do
  begin
    readln(s);
    if copy(s,1,1) = ':' then
    begin
      combo[a].length := n;
      setlength(combo[a].data,combo[a].length);
      inc(a);
      n := 0;
    end else
    inc(n);
  end;
  combo[a].length := n;
  setlength(combo[a].data,combo[a].length);
  closefile(input);
  reset(input);
  n := 0; a := x-1;
  while not eof do
  begin
    readln(s);
    if copy(s,1,1) = '%' then begin
      gc := copy(s,2,length(s));
    end else if copy(s,1,1) = ':' then begin
      lbCombos.Items.add(copy(s,2,length(s)));
      inc(a);
      n := 0;
    end else if copy(s,1,1) = '#' then begin
      delete(s,1,1);
      combo[a].data[n] := texttocode(s,gc);
      inc(n);
    end else if copy(s,1,1) = '$' then begin
      delete(s,1,1);
      d := 0;
      for b := 1 to 8 do
      begin
        d := d shl 4;
        d := d + ord(s[b]) - $30 - $7 * ord(s[b] > '9');
      end;
      combo[a].data[n] := d;
      inc(n);
    end;
  end;
  closefile(input);
end;
end;
end;

procedure TfmMain.tsEditingShow(Sender: TObject);
begin
//  mmConvert.Unmerge(mmMain);
//  mmEditing.Merge(mmMain);
  mmMain.Merge(mmEditing);
  mmMain.Unmerge(mmConvert);
end;

procedure TfmMain.tsConvertShow(Sender: TObject);
begin
//  mmEditing.Unmerge(mmMain);
//  mmConvert.Merge(mmMain);
  mmMain.Merge(mmConvert);
  mmMain.Unmerge(mmEditing);
end;

procedure TfmMain.tsConfigShow(Sender: TObject);
begin
  mmMain.Unmerge(mmConvert);
  mmMain.Unmerge(mmEditing);
end;

procedure TfmMain.FormCreate(Sender: TObject);
begin
  GetPluginList;
  newmovie(mov);
end;

procedure TfmMain.btRefreshClick(Sender: TObject);
begin
  GetPluginList;
end;

procedure TfmMain.ebStepChange(Sender: TObject);
begin
try
  udStep.Position := strtoint(ebStep.text);
except
  on EConvertError do;
end;
  ebStep.Text := inttostr(udStep.Position);
end;

procedure TfmMain.Open1Click(Sender: TObject);
var a : integer;
b : boolean;
//f : file of byte;
begin
  if edited then
  begin
    a := messagebox(handle,'Save current movie?','New',MB_YESNOCANCEL);
    if a = idYes then Save1.Click;
    if a = idCancel then Exit;
  end;
  with odEdit do
  if execute then
  begin
    edited := false;
    a := odEdit.FilterIndex;
    if a = 1 then
    begin
      for a := 2 to plugincount+1 do
      begin
        plugins[a-2].checkheader(pchar(odEdit.filename),b);
        if b then break;
      end;
    end;
    plugins[a-2].checkheader(pchar(odEdit.filename),b);
    if not b then
    begin
      Messagebox(handle,'Wrong header!', 'Not correct header',0);
      exit;
    end;
    newmovie(mov);
//    Format1.Items[a-2].click;
    Format1.Items[a-2].checked := true;
    getid := a-2;
    openmovie(mov,getid,odEdit.FileName);
    mr := false;
    rgCon.Columns := mov.controllers;
    while rgCon.Items.Count > 0 do
      rgCon.Items.Delete(0);
    for a := 1 to mov.controllers do
      rgcon.Items.Add('Input ' + inttostr(A));
    rgCon.ItemIndex := 0;
    mr := true;
    refreshmovie(mov,getID);
  end;
end;

procedure TfmMain.rgConClick(Sender: TObject);
begin
if mr then refreshmovie(mov,getID);
end;

procedure TfmMain.sgEditKeyPress(Sender: TObject; var Key: Char);
begin
if key = #13 then // ENTER
  ws := false;
if key = #8 then // BKSP
  sgEdit.Cells[sgEdit.Col,sgEdit.Row] := copy(sgEdit.Cells[sgEdit.Col,sgEdit.Row],1,length(sgEdit.Cells[sgEdit.Col,sgEdit.Row])-1);
if key in ['0'..'9'] then
begin
if ws then
  sgEdit.Cells[sgEdit.Col,sgEdit.Row] := sgEdit.Cells[sgEdit.Col,sgEdit.Row]+key
else
  sgEdit.Cells[sgEdit.Col,sgEdit.Row] := key;
ws := true;
end;
if key = '-' then
begin
if copy(sgEdit.Cells[sgEdit.Col,sgEdit.Row],1,1) = '-' then sgEdit.Cells[sgEdit.Col,sgEdit.Row] := copy(sgEdit.Cells[sgEdit.Col,sgEdit.Row],2,length(sgEdit.Cells[sgEdit.Col,sgEdit.Row])) else
sgEdit.Cells[sgEdit.Col,sgEdit.Row] := '-' + sgEdit.Cells[sgEdit.Col,sgEdit.Row];
end;
while (length(sgEdit.Cells[sgEdit.Col,sgEdit.Row]) > 1) and (sgEdit.Cells[sgEdit.Col,sgEdit.Row][1] = '0') do sgEdit.Cells[sgEdit.Col,sgEdit.Row] := copy(sgEdit.Cells[sgEdit.Col,sgEdit.Row],2,length(sgEdit.Cells[sgEdit.Col,sgEdit.Row])-1);
if sgEdit.Cells[sgEdit.Col,sgEdit.Row] = '' then sgEdit.Cells[sgEdit.Col,sgEdit.Row] := '0';
if key in [#8,'0'..'9','-'] then
begin
  saveframe(mov,sgEdit.Row-1,getid);
end;
end;

procedure TfmMain.sgEditSelectCell(Sender: TObject; ACol, ARow: Integer;
  var CanSelect: Boolean);
begin
ws := false;
if acol = sgEdit.Col then
if arow = sgEdit.Row then
ws := true;
end;

procedure TfmMain.sgEditMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
edFrom.Text := inttostr(sgEdit.Selection.Top-1);
edTo.Text := inttostr(sgEdit.Selection.Bottom-1);
end;

procedure TfmMain.btAddComboClick(Sender: TObject);
var a : integer;
begin
if udTo < udFrom then udTo := udFrom;
lbCombos.Items.Add(inputBox('Saving Combo','Enter name for your combo:','Combo '+inttostr(combos)+' (' +inttostr(udFrom) + ' >> ' +inttostr(udTo)+')'));
inc(combos);
setlength(combo,combos);
combo[combos-1].length := udto-udfrom+1;
setlength(combo[combos-1].data,udto-udfrom+1);
for a := 0 to udto-udfrom do
  combo[combos-1].data[a] := mov.controller[rgCon.itemIndex].data[udfrom + a];
copymemory(@combo[combos-1].data[0],@mov.controller[rgCon.itemIndex].data[udfrom],(udto-udfrom+1)*4);
lbCombos.ItemIndex := combos-1;
end;

procedure TfmMain.sgEditKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
{if key = 45 then // INS
  btAdd.Click;
if key = 46 then // DEL
  btDel.Click;}
if ssCtrl in shift then
begin
  if key = 188 then //up  ,
  if lbcombos.ItemIndex > 0 then
    lbcombos.ItemIndex := lbcombos.ItemIndex - 1;
  if key = 190 then //down.
  if lbcombos.ItemIndex < lbcombos.Items.Count - 1 then
    lbcombos.ItemIndex := lbcombos.ItemIndex + 1;
  caption := inttostr(key);
end;
end;

procedure TfmMain.edFromChange(Sender: TObject);
begin
if edFrom.Text = '' then udFrom := 0 else
try
  udFrom := strtoint(edFrom.text);
except
  on EConvertError do edFrom.Text := inttostr(udFrom);
end;
if udFrom > mov.frames then udFrom := mov.frames;
end;

procedure TfmMain.edToChange(Sender: TObject);
begin
if edTo.Text = '' then udTo := 0 else
try
  udTo := strtoint(edTo.text);
except
  on EConvertError do edTo.Text := inttostr(udTo);
end;
if udTo > mov.frames then udTo := mov.frames;
end;

procedure TfmMain.btInsertComboClick(Sender: TObject);
var c : integer;
begin
  if lbCombos.ItemIndex >= 0 then if lbCombos.ItemIndex < combos then
  begin
    edited := true;
    c := combo[lbCombos.ItemIndex].length;
    mov.frames := mov.frames + c;
    setlength(mov.controller[rgcon.ItemIndex].data,mov.frames+1);
    movememory(@mov.controller[rgCon.ItemIndex].data[udfrom+c],@mov.controller[rgCon.ItemIndex].data[udfrom],(mov.frames+1-udFrom-c)*4);
    copymemory(@mov.controller[rgCon.ItemIndex].data[udfrom],@combo[lbCombos.ItemIndex].data[0],c*4);
//    for c := udFrom to mov.frames do refreshframe(mov,c,getid);
    refreshview(mov,getid);
  end;
end;

procedure TfmMain.memoryTable1Click(Sender: TObject);
begin
refreshmovie(mov,getid);
end;

procedure TfmMain.btDelClick(Sender: TObject);
var c : integer;
begin
edited := true;
c := udTo-udFrom+1;
if sgEdit.RowCount > c+1 then
begin
//  sgEdit.Rowcount := sgEdit.Rowcount - c;
  if mov.frames+1-udFrom-c <> 0 then
  movememory(@mov.controller[rgCon.ItemIndex].data[udfrom-c+1],@mov.controller[rgCon.ItemIndex].data[udfrom+1],(mov.frames+1-udFrom-c)*4);
  mov.frames := mov.frames - c;
  setlength(mov.controller[0].data,mov.frames + 1);
  fmMain.sgEdit.RowCount := 2+mov.frames;
  refreshview(mov,getid);
end;
end;

procedure TfmMain.Add1Click(Sender: TObject);
begin
btAddCombo.Click;
end;

procedure TfmMain.insert1Click(Sender: TObject);
begin
btInsertCombo.Click;
end;

procedure TfmMain.Removlines1Click(Sender: TObject);
begin
btDel.Click
end;

procedure TfmMain.btAddClick(Sender: TObject);
var c : integer;
begin
  edited := true;
  c := udTo-udFrom+1;
{  sgEdit.Rowcount := sgEdit.Rowcount + c;
  for a :=sgEdit.Rowcount-1 downto udfrom+1+c do
    for b := 1 to sgEdit.ColCount-1 do
     sgedit.cells[b,a] := sgedit.cells[b,a-c];
  for a := 1 to c do
  sgEdit.Cells[0,sgEdit.RowCount-a] := inttostr(sgEdit.RowCount-a-1);}
  mov.frames := mov.frames + c;
  setlength(mov.controller[0].data,mov.frames + 1);
  movememory(@mov.controller[rgCon.ItemIndex].data[udfrom+c],@mov.controller[rgCon.ItemIndex].data[udfrom],(mov.frames+1-udFrom-c)*4);
  copymemory(@mov.controller[rgCon.ItemIndex].data[udfrom],@mov.controller[rgCon.ItemIndex].data[udfrom+c],(c)*4);
  fmMain.sgEdit.RowCount := 2+mov.frames;
  refreshview(mov,getid);
end;

procedure TfmMain.Quit1Click(Sender: TObject);
begin
close;
end;

procedure TfmMain.Insertlines1Click(Sender: TObject);
begin
btAdd.Click;
end;

procedure TfmMain.sgEditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
edFrom.Text := inttostr(sgEdit.Selection.Top-1);
edTo.Text := inttostr(sgEdit.Selection.Bottom-1);
end;

procedure TfmMain.Saveas1Click(Sender: TObject);
var a : integer;
begin
fmMain.sdEdit.FilterIndex := getid+1;
  with sdEdit do
  if execute then
  begin
    a := sdEdit.FilterIndex;
    if a-1 <> getid then
    begin
      Format1.Items[a-1].Click;
    end;
    if copy(sdEdit.FileName,length(sdEdit.FileName)-length(plugins[getid].ext)+1,length(plugins[getid].ext)) <> plugins[getid].ext then
      sdEdit.FileName := sdEdit.FileName + '.' + plugins[getid].ext;
    savemovie(mov,getid,sdEdit.FileName);
    refreshmovie(mov,getid);
    mov.filename := pchar(sdEdit.FileName+#0);
  end;
end;

procedure TfmMain.Save1Click(Sender: TObject);
begin
  if mov.filename = '' then SaveAs1.Click else
  begin
    if fileexists(mov.filename) then
      copyfile(mov.filename, pchar('backups\'+extractfilename(mov.filename)+'.' + floattostr(time+date) + '.bak'),false);
    savemovie(mov,getid,mov.filename);
  end;
end;

procedure TfmMain.Reload1Click(Sender: TObject);
var a : integer;
begin
  if not fileexists(mov.filename) then
  begin
    messagebox(handle,'File does not exist anymore','Error',MB_ICONERROR);
    exit;
  end;
  if mov.filename = '' then
  begin
    messagebox(handle,'No file is associated with this movie','Error',MB_ICONERROR);
    exit;
  end;
  openmovie(mov,getid,odEdit.FileName);
  rgCon.Columns := mov.controllers;
  rgCon.Items.Clear;
  for a := 1 to mov.controllers do rgcon.Items.Add('Input ' + inttostr(A));
  rgCon.ItemIndex := 0;
  refreshmovie(mov,getID);
end;

procedure TfmMain.Backupoldfile1Click(Sender: TObject);
begin
  if fileexists(mov.filename) then
    copyfile(mov.filename, pchar('backups\'+extractfilename(mov.filename)+'.' + floattostr(time+date) + '.bak'),false) else
  messagebox(handle,'No file is associated with this movie','Error',MB_ICONERROR);
end;

procedure TfmMain.Cleanup1Click(Sender: TObject);
begin
  TableMemory1.Click;
  MemoryTable1.Click;
end;

procedure TfmMain.Tablememory1Click(Sender: TObject);
var a : integer;
begin
for a := 0 to mov.frames do saveframe(mov,a,getid);
end;

procedure TfmMain.Delete1Click(Sender: TObject);
var a : integer;
begin
if combos > 0 then
begin
  setlength(combo[lbCombos.ItemIndex].data,0);
  combo[lbCombos.ItemIndex] := combo[combos-1];
  a := lbCombos.ItemIndex;
  lbCombos.Items.Delete(a);
  if a = 0 then
    lbCombos.ItemIndex := 0
  else
    lbCombos.ItemIndex := a-1;
  dec(combos);
  setlength(combo,combos);
end;
end;

procedure TfmMain.FormResize(Sender: TObject);
var a,b : integer;
begin
  b := sgEdit.ColCount;
  for a := 1 to b-1 do
  fmMain.sgEdit.ColWidths[a] := (fmMain.sgEdit.Width - 30 - fmMain.sgEdit.ColWidths[0]) div b;
end;

procedure TfmMain.FormClose(Sender: TObject; var Action: TCloseAction);
var a : integer;
begin
//  newmovie(mov);
  for a := 0 to plugincount-1 do freelibrary(plugins[a].ph);
  exitprocess(0);
//  fmMain.Destroy;
//  freemem(@mov, sizeof(mov));
end;

procedure TfmMain.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
var a : integer;
begin
  if edited then
  begin
    a := messagebox(handle,'Save movie before exiting?','Quit',MB_YESNOCANCEL);
    if a = idYes then Save1.Click;
    if a = idCancel then canclose := false;
  end;
end;

procedure TfmMain.New1Click(Sender: TObject);
var a : integer;
begin
  a := messagebox(handle,'Save current movie?','New',MB_YESNOCANCEL);
  if a = idYes then Save1.Click;
  if a = idCancel then Exit;
  newmovie(mov);
end;

procedure TfmMain.sbPosChange(Sender: TObject);
begin
  refreshmovie(mov,getid);
end;

procedure TfmMain.sgEditTopLeftChanged(Sender: TObject);
begin
refreshview(mov,getid);
end;

procedure TfmMain.miPlugClick(Sender: TObject);
begin
  with sender as TMenuItem do
  begin
    convertmovie(mov,getid,tag);
//    fmMain.Caption := inttostr(getid) + ' -> ' + inttostr(tag);
    getid := tag;
    checked := true;
  end;
end;

procedure TfmMain.Delete2Click(Sender: TObject);
begin
Delete1.Click;
end;

procedure TfmMain.View1Click(Sender: TObject);
begin
  fmPreview.ShowModal;
end;

procedure TfmMain.savelist1Click(Sender: TObject);
var a,b : integer;
begin
if sdCombo.Execute then
begin
  assignfile(output, sdCombo.FileName); rewrite(output);
  b := getheader(mov,'controller codes');
  if b > -1 then begin
    writeln('%',mov.header[b].sdata);
    for a := 0 to lbCombos.Count -1 do
    begin
      writeln(':', lbCombos.items.strings[a]);
      for b := 0 to combo[a].length -1 do
        writeln('#',codetotext(mov,combo[a].data[b]));
    end;
  end else begin
    for a := 0 to lbCombos.Count -1 do
    begin
      writeln(':', lbCombos.items.strings[a]);
      for b := 0 to combo[a].length -1 do
        writeln('$',inttohex(combo[a].data[b],8));
    end;
  end;
  closefile(output);
end;
end;

procedure TfmMain.Openlist1Click(Sender: TObject);
begin
opencombolist(0);
end;

procedure TfmMain.Addfromfile1Click(Sender: TObject);
begin
opencombolist(Combos);
end;

end.
